Skip to main content
GET
/
v1
/
stocks
/
aggs
Get Aggregate Bars
curl --request GET \
  --url https://api.aries.com/v1/stocks/aggs \
  --header 'Authorization: Bearer <token>'
{
  "adjusted": true,
  "queryCount": 21,
  "requestId": "633a048bfb27b7a72181b65f0bb88cb0",
  "results": [
    {
      "c": 185.64,
      "h": 188.44,
      "l": 183.885,
      "n": 1008871,
      "o": 187.15,
      "t": 1704171600000,
      "v": 81964874,
      "vw": 185.9465
    },
    {
      "c": 184.4,
      "h": 187.095,
      "l": 184.35,
      "n": 679844,
      "o": 187.04,
      "t": 1706677200000,
      "v": 55467803,
      "vw": 185.3525
    }
  ],
  "resultsCount": 21,
  "status": "OK",
  "ticker": "AAPL"
}

Authorizations

Authorization
string
header
required

OAuth2 Bearer token: obtain an access token from the token endpoint and send it in the Authorization header.

Query Parameters

ticker
string
required

Stock ticker symbol

Example:

"AAPL"

multiplier
integer
required

Size of the time window (min 1)

Required range: x >= 1
Example:

1

timespan
enum<string>
required

Time span unit

Available options:
second,
minute,
hour,
day,
week,
month,
quarter,
year
Example:

"day"

from
string
required

Start date (YYYY-MM-DD) or timestamp

Example:

"2024-01-01"

to
string
required

End date (YYYY-MM-DD) or timestamp

Example:

"2024-01-31"

adjusted
boolean

Adjust for splits

Example:

true

sort
enum<string>

Sort order Sort direction

Available options:
asc,
desc
Example:

"asc"

limit
integer

Maximum number of results

Required range: 1 <= x <= 50000
Example:

1000

next
string

Pagination cursor

Response

Successful response

adjusted
boolean

Whether or not the results are adjusted for splits

queryCount
integer

Number of results returned

requestId
string

Unique request ID

results
object[]

Array of aggregate bars

resultsCount
integer

Total number of results

status
string

Status of the response

ticker
string

Stock ticker symbol

nextUrl
string

URL for next page of results